Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleFactory

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleFactory

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleFactory

extends QtJambiObject

The `QStyleFactory` class creates `QStyle` objects.

The `QStyle` class is an abstract base class that encapsulates the look and feel of a GUI. `QStyleFactory` creates a `QStyle` object using the `create` function and a key identifying the style. The styles are either built-in or dynamically loaded from a style plugin (see QStylePlugin).

The valid keys can be retrieved using the `keys` function. Typically they include "windows", "motif", "cde", "plastique" and "cleanlooks". Depending on the platform, "windowsxp", "windowsvista" and "macintosh" may be available. Note that keys are case insensitive.

See Also:
  `QStyle`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Method Summary
`static QStyle` | `create(java.lang.String arg__1)` Creates a `QStyle` object that matches the given `arg__1`.
`static QStyleFactory` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleFactory instance pointed to by nativePointer
`static java.util.List<java.lang.String>` | `keys()` Returns the list of valid keys, i.e. the keys this factory can create styles for.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### create

    public static QStyle create(java.lang.String arg__1)

  Creates a `QStyle` object that matches the given `arg__1`. This is either a built-in style, or a style from a style plugin.

  Note that keys are case insensitive.

  See Also:
    `keys`

### keys

    public static java.util.List<java.lang.String> keys()

  Returns the list of valid keys, i.e. the keys this factory can create styles for.

  See Also:
    `create`

### fromNativePointer

    public static QStyleFactory fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleFactory instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD